import { DetectedFileInfo, DetectFileOptions } from "../core";
/**
 * Detect a file by searching for a valid file signature inside the file content
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 * @param options Optional parameters for additional actions
 *
 * @returns {DetectedFileInfo | undefined} DetectedFileInfo if detected a valid signature inside the file contentof, otherwise undefined
 */
export declare function detectFile(file: Array<number> | ArrayBuffer | Uint8Array, options?: DetectFileOptions): DetectedFileInfo | undefined;
