/**
 * Determine if file content contains a valid 'avif' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'avif' in file content, otherwise false
 */
export declare function isAVIF(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'bmp' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'bmp' in file content, otherwise false
 */
export declare function isBMP(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'bpg' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'bpg' in file content, otherwise false
 */
export declare function isBPG(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'cr2' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'cr2' in file content, otherwise false
 */
export declare function isCR2(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'exr' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'exr' in file content, otherwise false
 */
export declare function isEXR(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'gif' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'gif' in file content, otherwise false
 */
export declare function isGIF(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'heic' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'heic' in file content, otherwise false
 */
export declare function isHEIC(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'ico' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'ico' in file content, otherwise false
 */
export declare function isICO(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'jpeg' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'jpeg' in file content, otherwise false
 */
export declare function isJPEG(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'pbm' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'pbm' in file content, otherwise false
 */
export declare function isPBM(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'pgm' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'pgm' in file content, otherwise false
 */
export declare function isPGM(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'png' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'png' in file content, otherwise false
 */
export declare function isPNG(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'ppm' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'ppm' in file content, otherwise false
 */
export declare function isPPM(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'psd' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'psd' in file content, otherwise false
 */
export declare function isPSD(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'webp' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'webp' in file content, otherwise false
 */
export declare function isWEBP(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
