/**
 * Determine if file content contains a valid 'blend' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'blend' in file content, otherwise false
 */
export declare function isBLEND(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'elf' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'elf' in file content, otherwise false
 */
export declare function isELF(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'exe' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'exe' in file content, otherwise false
 */
export declare function isEXE(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'mach-o' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'mach-o' in file content, otherwise false
 */
export declare function isMACHO(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'indd' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'indd' in file content, otherwise false
 */
export declare function isINDD(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'orc' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'orc' in file content, otherwise false
 */
export declare function isORC(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'parquet' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'parquet' in file content, otherwise false
 */
export declare function isPARQUET(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'pdf' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'pdf' in file content, otherwise false
 */
export declare function isPDF(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'ps' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'ps' in file content, otherwise false
 */
export declare function isPS(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'rtf' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'rtf' in file content, otherwise false
 */
export declare function isRTF(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'sqlite' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'sqlite' in file content, otherwise false
 */
export declare function isSQLITE(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'stl' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'stl' in file content, otherwise false
 */
export declare function isSTL(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'ttf' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'ttf' in file content, otherwise false
 */
export declare function isTTF(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'doc' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'doc' in file content, otherwise false
 */
export declare function isDOC(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
/**
 * Determine if file content contains a valid 'pcap' file signature
 *
 * @param file File content represents in Array<number> / ArrayBuffer / Uint8Array
 *
 * @returns {boolean} True if found a signature of type 'pcap' in file content, otherwise false
 */
export declare function isPCAP(file: Array<number> | ArrayBuffer | Uint8Array): boolean;
